/*!
 * SAP UI development toolkit for HTML5 (SAPUI5)

(c) Copyright 2009-2016 SAP SE. All rights reserved
 */
sap.ui.define(['sap/viz/library','sap/viz/ui5/core/BaseStructuredType'],function(l,B){"use strict";var D=B.extend("sap.viz.ui5.types.Datalabel",{metadata:{library:"sap.viz",properties:{visible:{type:"boolean",defaultValue:false},hideWhenOverlap:{type:"boolean",defaultValue:true},isDonut:{type:"boolean",defaultValue:false,deprecated:true},type:{type:"string",defaultValue:'value',deprecated:true},automaticInOutside:{type:"boolean",defaultValue:true,deprecated:true},showZero:{type:"boolean",defaultValue:true,deprecated:true},isGeoChart:{type:"boolean",defaultValue:false,deprecated:true},isBubbleChart:{type:"boolean",defaultValue:false,deprecated:true},isStackMode:{type:"boolean",defaultValue:false,deprecated:true},isPercentMode:{type:"boolean",defaultValue:false,deprecated:true},positionPreference:{type:"boolean",defaultValue:false,deprecated:true},outsideVisible:{type:"boolean",defaultValue:true,deprecated:true},outsidePosition:{type:"sap.viz.ui5.types.Datalabel_outsidePosition",defaultValue:sap.viz.ui5.types.Datalabel_outsidePosition.up,deprecated:true},paintingMode:{type:"sap.viz.ui5.types.Datalabel_paintingMode",defaultValue:sap.viz.ui5.types.Datalabel_paintingMode.rectCoordinate,deprecated:true},position:{type:"sap.viz.ui5.types.Datalabel_position",defaultValue:sap.viz.ui5.types.Datalabel_position.inside,deprecated:true},orientation:{type:"sap.viz.ui5.types.Datalabel_orientation",defaultValue:sap.viz.ui5.types.Datalabel_orientation.vertical,deprecated:true},respectShapeWidth:{type:"boolean",defaultValue:false,deprecated:true},formatString:{type:"any[]",defaultValue:null}}}});return D;});
